Subject: Re: [RFC/PATCH 4/4] Add support for MSI on Axon-based Cell systems

From: Jean-Christophe Dubois <[email-masked]>
Date: Tue, 5 Jun 2007 09:00:53 +0200

On Monday 04 June 2007 15:00:05 Michael Ellerman wrote:
> +       pr_debug("axon_msi: initialising ...\n");
> +
> +       for_each_compatible_node(node, NULL, "ibm,axon-msic") {
> +               if (axon_msi_setup_one(of_node_get(node)) == 0)
> +                       found++;
> +       }
> +       of_node_put(node);

2 comments:

1) There is no "ibm,axon-msic" compatible property in the SLOF tree provided 
by IBM on the CAB (or other such platforms). Therefore this code will not 
work on these platforms.

2) you should somehow check for the Axon version. Axon 1.1 (and prior) are 
know to be loosing MSI/MBX interrupts (but not the data part associated to 
them). Therefore this should be enabled only on Axon 2.1 (or later).

JC